Subject: Re: Network Device Naming mechanism and policy

From: Scott James Remnant <[email-masked]>
Date: Tue, 24 Mar 2009 18:20:07 +0000

On Tue, 2009-03-24 at 14:12 -0400, Bill Nottingham wrote:

> Matt Domsch ([email-masked]) said: 
> > > Now consider USB.  Would the device name change depending on which USB
> > > port you plugged it into?  Or is USB just a single slot, in which case
> > > what happens when you have two USB ethernet devices?
> > > 
> > > The Apple USB Ethernet device in my iPhone is not the USB Wireless
> > > adapter I own, both have very different networking configurations.
> > 
> > we would obviously need a solution.  eth_usb_{something} perhaps.
> 
> Right, but having biosdevname chase each new bus that comes along
> sounds iffy. I'd prefer /dev/net/by-name symlinks, if at all
> possible. But that's a lot of code that I'm not prepared to write.
> 
Not to mention that All The World Is Not x86

Scott
-- 
Scott James Remnant
[email-masked]